## org.eclipse.m2m.atl.profiler.model
Interface ModelPackage.Literals

Enclosing interface:
  ModelPackage

    public static interface ModelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `ATL_INSTRUCTION` The meta object literal for the '`ATL Instruction`' class
`static org.eclipse.emf.ecore.EAttribute` `ATL_INSTRUCTION__ATL_ELEMENT_REF` The meta object literal for the 'ATL Element Ref' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `ATL_INSTRUCTION__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EReference` `ATL_INSTRUCTION__PROFILING_INSTRUCTIONS` The meta object literal for the 'Profiling Instructions' reference list feature
`static org.eclipse.emf.ecore.EClass` `ATL_OPERATION` The meta object literal for the '`ATL Operation`' class
`static org.eclipse.emf.ecore.EAttribute` `ATL_OPERATION__CALLS` The meta object literal for the 'Calls' attribute feature
`static org.eclipse.emf.ecore.EClass` `CONTEXT` The meta object literal for the '`Context`' class
`static org.eclipse.emf.ecore.EAttribute` `CONTEXT__CONTENT` The meta object literal for the 'Content' attribute feature
`static org.eclipse.emf.ecore.EClass` `EXECUTION_ERROR` The meta object literal for the '`Execution Error`' class
`static org.eclipse.emf.ecore.EAttribute` `EXECUTION_ERROR__ERROR` The meta object literal for the 'Error' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `EXECUTION_ERROR__FRAMES` The meta object literal for the 'Frames' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `EXECUTION_ERROR__MESSAGE` The meta object literal for the 'Message' attribute feature
`static org.eclipse.emf.ecore.EClass` `PROFILING_INSTRUCTION` The meta object literal for the '`Profiling Instruction`' class
`static org.eclipse.emf.ecore.EReference` `PROFILING_INSTRUCTION__ATL_INSTRUCTION` The meta object literal for the 'Atl Instruction' reference feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_INSTRUCTION__CONTENT` The meta object literal for the 'Content' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_INSTRUCTION__HAS_ERROR` The meta object literal for the 'Has Error' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_INSTRUCTION__INSTRUCTION_ID` The meta object literal for the 'Instruction ID' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_INSTRUCTION__LAUNCHED_MEMORY_USAGE` The meta object literal for the 'Launched Memory Usage' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_INSTRUCTION__LAUNCHED_TIME` The meta object literal for the 'Launched Time' attribute feature
`static org.eclipse.emf.ecore.EReference` `PROFILING_INSTRUCTION__PARENT_OPERATION` The meta object literal for the 'Parent Operation' reference feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_INSTRUCTION__STACK_FRAMES` The meta object literal for the 'Stack Frames' attribute list feature
`static org.eclipse.emf.ecore.EClass` `PROFILING_MODEL` The meta object literal for the '`Profiling Model`' class
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_MODEL__MODEL_NAME` The meta object literal for the 'Model Name' attribute feature
`static org.eclipse.emf.ecore.EClass` `PROFILING_OPERATION` The meta object literal for the '`Profiling Operation`' class
`static org.eclipse.emf.ecore.EReference` `PROFILING_OPERATION__CONTEXT` The meta object literal for the 'Context' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_OPERATION__END_MEMORY_USAGE` The meta object literal for the 'End Memory Usage' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_OPERATION__END_TIME` The meta object literal for the 'End Time' attribute feature
`static org.eclipse.emf.ecore.EReference` `PROFILING_OPERATION__EXECUTION_ERRORS` The meta object literal for the 'Execution Errors' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `PROFILING_OPERATION__EXECUTION_INSTRUCTIONS` The meta object literal for the 'Execution Instructions' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_OPERATION__MATCHING_OPERATION` The meta object literal for the 'Matching Operation' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_OPERATION__MAX_MEMORY_USAGE` The meta object literal for the 'Max Memory Usage' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILING_OPERATION__TOTAL_EXECUTED_INSTRUCTIONS` The meta object literal for the 'Total Executed Instructions' attribute feature

Field Detail

### PROFILING_INSTRUCTION

    static final org.eclipse.emf.ecore.EClass PROFILING_INSTRUCTION

  The meta object literal for the '`Profiling Instruction`' class.

  See Also:
    `ProfilingInstructionImpl`, `ModelPackageImpl.getProfilingInstruction()`

### PROFILING_INSTRUCTION__LAUNCHED_TIME

    static final org.eclipse.emf.ecore.EAttribute PROFILING_INSTRUCTION__LAUNCHED_TIME

  The meta object literal for the 'Launched Time' attribute feature.

### PROFILING_INSTRUCTION__STACK_FRAMES

    static final org.eclipse.emf.ecore.EAttribute PROFILING_INSTRUCTION__STACK_FRAMES

  The meta object literal for the 'Stack Frames' attribute list feature.

### PROFILING_INSTRUCTION__PARENT_OPERATION

    static final org.eclipse.emf.ecore.EReference PROFILING_INSTRUCTION__PARENT_OPERATION

  The meta object literal for the 'Parent Operation' reference feature.

### PROFILING_INSTRUCTION__INSTRUCTION_ID

    static final org.eclipse.emf.ecore.EAttribute PROFILING_INSTRUCTION__INSTRUCTION_ID

  The meta object literal for the 'Instruction ID' attribute feature.

### PROFILING_INSTRUCTION__ATL_INSTRUCTION

    static final org.eclipse.emf.ecore.EReference PROFILING_INSTRUCTION__ATL_INSTRUCTION

  The meta object literal for the 'Atl Instruction' reference feature.

### PROFILING_INSTRUCTION__CONTENT

    static final org.eclipse.emf.ecore.EAttribute PROFILING_INSTRUCTION__CONTENT

  The meta object literal for the 'Content' attribute feature.

### PROFILING_INSTRUCTION__LAUNCHED_MEMORY_USAGE

    static final org.eclipse.emf.ecore.EAttribute PROFILING_INSTRUCTION__LAUNCHED_MEMORY_USAGE

  The meta object literal for the 'Launched Memory Usage' attribute feature.

### PROFILING_INSTRUCTION__HAS_ERROR

    static final org.eclipse.emf.ecore.EAttribute PROFILING_INSTRUCTION__HAS_ERROR

  The meta object literal for the 'Has Error' attribute feature.

### PROFILING_OPERATION

    static final org.eclipse.emf.ecore.EClass PROFILING_OPERATION

  The meta object literal for the '`Profiling Operation`' class.

  See Also:
    `ProfilingOperationImpl`, `ModelPackageImpl.getProfilingOperation()`

### PROFILING_OPERATION__END_TIME

    static final org.eclipse.emf.ecore.EAttribute PROFILING_OPERATION__END_TIME

  The meta object literal for the 'End Time' attribute feature.

### PROFILING_OPERATION__TOTAL_EXECUTED_INSTRUCTIONS

    static final org.eclipse.emf.ecore.EAttribute PROFILING_OPERATION__TOTAL_EXECUTED_INSTRUCTIONS

  The meta object literal for the 'Total Executed Instructions' attribute feature.

### PROFILING_OPERATION__EXECUTION_INSTRUCTIONS

    static final org.eclipse.emf.ecore.EReference PROFILING_OPERATION__EXECUTION_INSTRUCTIONS

  The meta object literal for the 'Execution Instructions' containment reference list feature.

### PROFILING_OPERATION__END_MEMORY_USAGE

    static final org.eclipse.emf.ecore.EAttribute PROFILING_OPERATION__END_MEMORY_USAGE

  The meta object literal for the 'End Memory Usage' attribute feature.

### PROFILING_OPERATION__CONTEXT

    static final org.eclipse.emf.ecore.EReference PROFILING_OPERATION__CONTEXT

  The meta object literal for the 'Context' containment reference list feature.

### PROFILING_OPERATION__MAX_MEMORY_USAGE

    static final org.eclipse.emf.ecore.EAttribute PROFILING_OPERATION__MAX_MEMORY_USAGE

  The meta object literal for the 'Max Memory Usage' attribute feature.

### PROFILING_OPERATION__MATCHING_OPERATION

    static final org.eclipse.emf.ecore.EAttribute PROFILING_OPERATION__MATCHING_OPERATION

  The meta object literal for the 'Matching Operation' attribute feature.

### PROFILING_OPERATION__EXECUTION_ERRORS

    static final org.eclipse.emf.ecore.EReference PROFILING_OPERATION__EXECUTION_ERRORS

  The meta object literal for the 'Execution Errors' containment reference list feature.

### PROFILING_MODEL

    static final org.eclipse.emf.ecore.EClass PROFILING_MODEL

  The meta object literal for the '`Profiling Model`' class.

  See Also:
    `ProfilingModelImpl`, `ModelPackageImpl.getProfilingModel()`

### PROFILING_MODEL__MODEL_NAME

    static final org.eclipse.emf.ecore.EAttribute PROFILING_MODEL__MODEL_NAME

  The meta object literal for the 'Model Name' attribute feature.

### ATL_OPERATION

    static final org.eclipse.emf.ecore.EClass ATL_OPERATION

  The meta object literal for the '`ATL Operation`' class.

  See Also:
    `ATLOperationImpl`, `ModelPackageImpl.getATLOperation()`

### ATL_OPERATION__CALLS

    static final org.eclipse.emf.ecore.EAttribute ATL_OPERATION__CALLS

  The meta object literal for the 'Calls' attribute feature.

### ATL_INSTRUCTION

    static final org.eclipse.emf.ecore.EClass ATL_INSTRUCTION

  The meta object literal for the '`ATL Instruction`' class.

  See Also:
    `ATLInstructionImpl`, `ModelPackageImpl.getATLInstruction()`

### ATL_INSTRUCTION__ATL_ELEMENT_REF

    static final org.eclipse.emf.ecore.EAttribute ATL_INSTRUCTION__ATL_ELEMENT_REF

  The meta object literal for the 'ATL Element Ref' attribute feature.

### ATL_INSTRUCTION__NAME

    static final org.eclipse.emf.ecore.EAttribute ATL_INSTRUCTION__NAME

  The meta object literal for the 'Name' attribute feature.

### ATL_INSTRUCTION__PROFILING_INSTRUCTIONS

    static final org.eclipse.emf.ecore.EReference ATL_INSTRUCTION__PROFILING_INSTRUCTIONS

  The meta object literal for the 'Profiling Instructions' reference list feature.

### CONTEXT

    static final org.eclipse.emf.ecore.EClass CONTEXT

  The meta object literal for the '`Context`' class.

  See Also:
    `ContextImpl`, `ModelPackageImpl.getContext()`

### CONTEXT__CONTENT

    static final org.eclipse.emf.ecore.EAttribute CONTEXT__CONTENT

  The meta object literal for the 'Content' attribute feature.

### EXECUTION_ERROR

    static final org.eclipse.emf.ecore.EClass EXECUTION_ERROR

  The meta object literal for the '`Execution Error`' class.

  See Also:
    `ExecutionErrorImpl`, `ModelPackageImpl.getExecutionError()`

### EXECUTION_ERROR__MESSAGE

    static final org.eclipse.emf.ecore.EAttribute EXECUTION_ERROR__MESSAGE

  The meta object literal for the 'Message' attribute feature.

### EXECUTION_ERROR__ERROR

    static final org.eclipse.emf.ecore.EAttribute EXECUTION_ERROR__ERROR

  The meta object literal for the 'Error' attribute feature.

### EXECUTION_ERROR__FRAMES

    static final org.eclipse.emf.ecore.EAttribute EXECUTION_ERROR__FRAMES

  The meta object literal for the 'Frames' attribute feature.

Copyright 2007 IBM Corporation and others. All Rights Reserved.